gnutls_session_get_desc(3)

NAME
gnutls_session_get_desc - API function

SYNOPSIS
#include <gnutls/gnutls.h>

char * gnutls_session_get_desc(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function returns a string describing the current session. The string is null terminated and allocated using gnutls_malloc(). If initial negotiation is not complete when this function is called, NULL will be returned.

RETURNS
a description of the protocols and algorithms in the current session.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/